[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# GetFixupReferenceNames

Returns the names of elements that need to be resolved for the root component.

## Declaration

Source position: classesh.inc line 2048

`procedure GetFixupReferenceNames(`
`Root: TComponent;`
`Names: TStrings`
`);`

## Description

GetFixupReferenceNames examines the list of unresolved references and returns the names of properties that must be resolved for the component Root in the list Names. The list is not cleared prior to filling it.

## See also

GetFixupInstanceNames |  | Returns the names of elements that need to be resolved for the root component, whose reference contains ReferenceRootName
GlobalFixupReferences |  | Called to resolve unresolved references after forms are loaded.

Documentation generated on: Feb 26 2014